org.apache.lucene.index

## Enum MergePolicy.OneMergeProgress.PauseReason

- java.lang.Object
- - java.lang.Enum<MergePolicy.OneMergeProgress.PauseReason>
  - - org.apache.lucene.index.MergePolicy.OneMergeProgress.PauseReason

- All Implemented Interfaces:
    Serializable, Comparable<MergePolicy.OneMergeProgress.PauseReason>
  Enclosing class:
    MergePolicy.OneMergeProgress

      public static enum MergePolicy.OneMergeProgress.PauseReason
      extends Enum<MergePolicy.OneMergeProgress.PauseReason>

  Reason for pausing the merge thread.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `OTHER` Other reason.
    `PAUSED` Temporarily paused because of exceeded throughput rate.
    `STOPPED` Stopped (because of throughput rate set to 0, typically).

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static MergePolicy.OneMergeProgress.PauseReason` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static MergePolicy.OneMergeProgress.PauseReason[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### STOPPED

          public static final MergePolicy.OneMergeProgress.PauseReason STOPPED

      Stopped (because of throughput rate set to 0, typically).

    - #### PAUSED

          public static final MergePolicy.OneMergeProgress.PauseReason PAUSED

      Temporarily paused because of exceeded throughput rate.

    - #### OTHER

          public static final MergePolicy.OneMergeProgress.PauseReason OTHER

      Other reason.

  - ### Method Detail

    - #### values

          public static MergePolicy.OneMergeProgress.PauseReason[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MergePolicy.OneMergeProgress.PauseReason c : MergePolicy.OneMergeProgress.PauseReason.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MergePolicy.OneMergeProgress.PauseReason valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2000-2018 Apache Software Foundation. All Rights Reserved.